/*
 * Class DYNAMIC_CHAIN [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1628 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1628 [] = {0xFF01,1551,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1628 [] = {0xFF01,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1628 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1628 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1628 [] = {0xFF01,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1628 [] = {0xFF01,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1628 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1628 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1628 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1628 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1628 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1628 [] = {1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1628 [] = {0xFF01,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1628 [] = {0xFF01,1614,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1628 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1628 [] = {0xFF01,1621,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1628 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1628 [] = {0xFF01,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1628 [] = {0xFF01,1627,875,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1628 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1628[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1628), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1628), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1628), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1628), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1628), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1628), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1628), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1628), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1628), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1628), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1628), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1628), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1628), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1628), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8604, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8606, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1628), 8772, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1628), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1628), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9238, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9077, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12028, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12031, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1628), 8765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1628), 12029, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1628), 12032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12037, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1628), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8768, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8771, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1628), 12029, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1628), 12030, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9012, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12365, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12367, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1628), 11010, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1628), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8763, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9240, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12044, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1628), 12025, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1628), 12026, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1628), 12368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1628), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1628), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1628(void)
{
	IDSC(desc_1628, 0, 1627);
	IDSC(desc_1628 + 1, 1, 1627);
	IDSC(desc_1628 + 32, 1134, 1627);
	IDSC(desc_1628 + 41, 1060, 1627);
	IDSC(desc_1628 + 47, 1444, 1627);
	IDSC(desc_1628 + 56, 1570, 1627);
	IDSC(desc_1628 + 59, 1534, 1627);
	IDSC(desc_1628 + 66, 916, 1627);
	IDSC(desc_1628 + 72, 1135, 1627);
	IDSC(desc_1628 + 81, 1088, 1627);
	IDSC(desc_1628 + 83, 1245, 1627);
	IDSC(desc_1628 + 86, 387, 1627);
	IDSC(desc_1628 + 88, 636, 1627);
	IDSC(desc_1628 + 102, 778, 1627);
	IDSC(desc_1628 + 103, 340, 1627);
	IDSC(desc_1628 + 111, 254, 1627);
	IDSC(desc_1628 + 114, 554, 1627);
	IDSC(desc_1628 + 115, 878, 1627);
	IDSC(desc_1628 + 116, 794, 1627);
}


#ifdef __cplusplus
}
#endif
